How can I know blynk library is installed correctly?

Hi All:

I am new to Blynk community, how are you!

I tried to install Blynk library on my Raspberry Pi 3, and found it has many errors:

p { margin-bottom: 0.1in; line-height: 120%; }a:link {  }

root@anniexiang01:~#
sudo npm install -g blynk-library
/usr/local/bin/blynk.js
→ /usr/local/lib/node_modules/
/usr/local/bin/blynk-ctrl.js
→ /usr/local/lib/node_modules/
/usr/local/bin/blynk-gateway-
/usr/local/bin/blynk-gateway-

usb@1.1.2
install /usr/local/lib/node_modules/
node-pre-gyp
install --fallback-to-build

gyp WARN EACCES user
“root” does not have permission to access the dev dir
“/root/.node-gyp/0.12.6”
gyp WARN EACCES
attempting to reinstall using temporary dev dir
"/usr/local/lib/node_modules/
make: Entering
directory '/usr/local/lib/node_modules/
make: *** No rule to
make target '…/.node-gyp/0.12.6/common.
make: Leaving
directory '/usr/local/lib/node_modules/
gyp ERR! build
error
gyp ERR! stack
Error: make failed with exit code: 2
gyp ERR! stack
at ChildProcess.onExit (/usr/local/lib/node_modules/
gyp ERR! stack
at ChildProcess.emit (events.js:110:17)
gyp ERR! stack
at Process.ChildProcess._handle.
gyp ERR! System
Linux 4.4.13-v7+
gyp ERR! command
“/usr/local/bin/node” "/usr/local/lib/node_modules/
gyp ERR! cwd
/usr/local/lib/node_modules/
gyp ERR! node -v
v0.12.6
gyp ERR! node-gyp -v
v3.4.0
gyp ERR! not ok
node-pre-gyp ERR!
build error
node-pre-gyp ERR!
stack Error: Failed to execute '/usr/local/bin/node
/usr/local/lib/node_modules/
node-pre-gyp ERR!
stack at ChildProcess.
(/usr/local/lib/node_modules/
node-pre-gyp ERR!
stack at ChildProcess.emit (events.js:110:17)
node-pre-gyp ERR!
stack at maybeClose (child_process.js:1015:16)
node-pre-gyp ERR!
stack at Process.ChildProcess._handle.
node-pre-gyp ERR!
System Linux 4.4.13-v7+
node-pre-gyp ERR!
command “node” "/usr/local/lib/node_modules/
node-pre-gyp ERR!
cwd /usr/local/lib/node_modules/
node-pre-gyp ERR!
node -v v0.12.6
node-pre-gyp ERR!
node-pre-gyp -v v0.6.24
node-pre-gyp ERR!
not ok
Failed to execute
'/usr/local/bin/node /usr/local/lib/node_modules/
npm WARN
install:usb@1.1.2 usb@1.1.2 install: node-pre-gyp install --fallback-to-build
npm WARN
install:usb@1.1.2 Exit status 1

bluetooth-hci-socket@0.4.4 install /usr/local/lib/node_modules/

node-gyp
rebuild

gyp WARN EACCES user
“root” does not have permission to access the dev dir
“/root/.node-gyp/0.12.6”
gyp WARN EACCES
attempting to reinstall using temporary dev dir
"/usr/local/lib/node_modules/
make: Entering
directory '/usr/local/lib/node_modules/
CXX(target)
Release/obj.target/binding/
In file included
from /usr/local/lib/node_modules/

       from

/usr/local/lib/node_modules/

       from

/usr/local/lib/node_modules/

       from

/usr/local/lib/node_modules/

       from

…/src/BluetoothHciSocket.cpp:
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
FatalException(v8::Isolate::

           ^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
FatalException(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
Encode(v8::Isolate::

            ^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
Encode(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
DecodeBytes(v8::Isolate::

            ^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
DecodeBytes(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
DecodeWrite(v8::Isolate::

     ^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
DecodeWrite(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
New(v8::Isolate::GetCurrent(), string, enc);

  ^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
New(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
New(v8::Isolate::GetCurrent(), data, len);

^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
New(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
New(v8::Isolate::GetCurrent(), data, length, callback, hint);

^
/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
New(isolate, …)”,
^
/usr/local/lib/node_modules/
/usr/local/lib/node_modules/
return
Use(v8::Isolate::GetCurrent(), data, len);

^

/usr/local/lib/node_modules/
declarator
attribute((deprecated(
^
/usr/local/lib/node_modules/
NODE_DEPRECATED(“Use
Use(isolate, …)”,
^
In file included
from …/src/BluetoothHciSocket.cpp:
…/…/nan/nan.h: In
function ‘Nan::MaybeLocalv8::Object Nan::NewBuffer(char*,
size_t, node::smalloc::FreeCallback, void*)’:
…/…/nan/nan.h:685:64:
warning: ‘v8::Localv8::Object
node::Buffer::New(v8::Isolate*

v8::Isolate::GetCurrent(), data, length, callback,
hint));

              ^

…/…/nan/nan.h: In
function ‘Nan::MaybeLocalv8::Object Nan::CopyBuffer(const
char*, uint32_t)’:
…/…/nan/nan.h:701:46:
warning: ‘v8::Localv8::Object
node::Buffer::New(v8::Isolate*

v8::Isolate::GetCurrent(), data, size));

^
…/…/nan/nan.h: In
function ‘Nan::MaybeLocalv8::Object Nan::NewBuffer(char*,
uint32_t)’:
…/…/nan/nan.h:729:64:
warning: ‘v8::Localv8::Object
node::Buffer::Use(v8::Isolate*

node::Buffer::Use(v8::

              ^

…/…/nan/nan.h: In
function ‘void Nan::FatalException(const Nan::TryCatch&)’:
…/…/nan/nan.h:850:73:
warning: ‘void node::FatalException(v8::

node::FatalException(v8::

   ^

…/…/nan/nan.h: In
function ‘v8::Localv8::Value Nan::Encode(const void*,
size_t, Nan::Encoding)’:
…/…/nan/nan.h:1760:44:
warning: ‘v8::Localv8::Value node::Encode(v8::Isolate*,
const void*, size_t, node::encoding)’ is deprecated (declared at
/usr/local/lib/node_modules/
,
static_castnode::encoding(

              ^

…/…/nan/nan.h: In
function ‘ssize_t Nan::DecodeBytes(v8::Local<v8:
…/…/nan/nan.h:1776:44:
warning: ‘ssize_t node::DecodeBytes(v8::Isolate*
,
static_castnode::encoding(

              ^

…/…/nan/nan.h: In
function ‘ssize_t Nan::DecodeWrite(char*, size_t,
v8::Localv8::Value, Nan::Encoding)’:
…/…/nan/nan.h:1798:44:
warning: ‘ssize_t node::DecodeWrite(v8::Isolate*
,
static_castnode::encoding(

              ^

SOLINK_MODULE(target) Release/obj.target/binding.
COPY
Release/binding.node
make: Leaving
directory '/usr/local/lib/node_modules/

serialport@4.0.1 install /usr/local/lib/node_modules/

node-pre-gyp
install --fallback-to-build

node-pre-gyp ERR!
Tried to download: https://github.com/
node-pre-gyp ERR!
Pre-built binaries not found for serialport@4.0.1 and node@0.12.6
(node-v14 ABI) (falling back to source compile with node-gyp)
gyp WARN EACCES user
“root” does not have permission to access the dev dir
“/root/.node-gyp/0.12.6”
gyp WARN EACCES
attempting to reinstall using temporary dev dir
"/usr/local/lib/node_modules/
make: Entering
directory '/usr/local/lib/node_modules/
make: *** No rule to
make target '…/.node-gyp/0.12.6/common.
make: Leaving
directory '/usr/local/lib/node_modules/
gyp ERR! build
error
gyp ERR! stack
Error: make failed with exit code: 2
gyp ERR! stack
at ChildProcess.onExit (/usr/local/lib/node_modules/
gyp ERR! stack
at ChildProcess.emit (events.js:110:17)
gyp ERR! stack
at Process.ChildProcess._handle.
gyp ERR! System
Linux 4.4.13-v7+
gyp ERR! command
“/usr/local/bin/node” "/usr/local/lib/node_modules/
gyp ERR! cwd
/usr/local/lib/node_modules/
gyp ERR! node -v
v0.12.6
gyp ERR! node-gyp -v
v3.4.0
gyp ERR! not ok
node-pre-gyp ERR!
build error
node-pre-gyp ERR!
stack Error: Failed to execute '/usr/local/bin/node
/usr/local/lib/node_modules/
node-pre-gyp ERR!
stack at ChildProcess.
(/usr/local/lib/node_modules/
node-pre-gyp ERR!
stack at ChildProcess.emit (events.js:110:17)
node-pre-gyp ERR!
stack at maybeClose (child_process.js:1015:16)
node-pre-gyp ERR!
stack at Process.ChildProcess._handle.
node-pre-gyp ERR!
System Linux 4.4.13-v7+
node-pre-gyp ERR!
command “node” "/usr/local/lib/node_modules/
node-pre-gyp ERR!
cwd /usr/local/lib/node_modules/
node-pre-gyp ERR!
node -v v0.12.6
node-pre-gyp ERR!
node-pre-gyp -v v0.6.29
node-pre-gyp ERR!
not ok
Failed to execute
'/usr/local/bin/node /usr/local/lib/node_modules/
npm WARN
install:serialport@4.0.1 serialport@4.0.1 install: node-pre-gyp install --fallback-to-build
npm WARN
install:serialport@4.0.1 Exit status 1
/usr/local/lib
└─┬
blynk-library@0.0.37
├──
crc@3.4.0
└─┬
noble@1.6.0
├─┬
bluetooth-hci-socket@0.4.4

└── nan@2.4.0
├──
bplist-parser@0.0.6
└─┬
debug@2.2.0

└── ms@0.7.1

npm WARN optional
Skipping failed optional dependency /blynk-library/noble/xpc-
npm WARN notsup Not
compatible with your operating system or architecture:
xpc-connection@0.1.4

anyone can give a help? appreicated!

Regards,
Aaron